[
{
  "name":"[B",
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"[Ljava.lang.reflect.Method;"
},
{
  "name":"byte",
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"com.alibaba.fastjson.JSONArray"
},
{
  "name":"com.alibaba.fastjson.JSONObject"
},
{
  "name":"com.alibaba.fastjson2.JSONFactory$CacheItem",
  "fields":[{"name":"bytes"}, {"name":"chars"}]
},
{
  "name":"com.alibaba.fastjson2.JSONObject",
  "queryAllDeclaredConstructors":true
},
{
  "name":"com.alibaba.fastjson2.util.TypeUtils$Cache",
  "fields":[{"name":"chars"}]
},
{
  "name":"com.sun.jna.CallbackProxy",
  "methods":[{"name":"callback","parameterTypes":["java.lang.Object[]"] }]
},
{
  "name":"com.sun.jna.Structure$FFIType",
  "allDeclaredFields":true,
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"com.sun.jna.Structure$FFIType$size_t",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$ATOM",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$HBRUSH",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$HCURSOR",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$HICON",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$HINSTANCE",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$HWND",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$LPARAM",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$LRESULT",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$POINT",
  "allDeclaredFields":true,
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}],
  "methods":[{"name":"<init>","parameterTypes":["com.sun.jna.Pointer"] }]
},
{
  "name":"com.sun.jna.platform.win32.WinDef$WPARAM",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinNT$HANDLEByReference",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"com.sun.jna.platform.win32.WinUser$MSG",
  "allDeclaredFields":true,
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"com.sun.jna.platform.win32.WinUser$WNDCLASSEX",
  "allDeclaredFields":true,
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"com.sun.jna.platform.win32.WinUser$WindowProc",
  "queryAllDeclaredMethods":true,
  "queryAllPublicMethods":true,
  "methods":[{"name":"callback","parameterTypes":["com.sun.jna.platform.win32.WinDef$HWND","int","com.sun.jna.platform.win32.WinDef$WPARAM","com.sun.jna.platform.win32.WinDef$LPARAM"] }]
},
{
  "name":"java.beans.Transient"
},
{
  "name":"java.lang.Object",
  "allDeclaredFields":true,
  "queryAllDeclaredMethods":true,
  "methods":[{"name":"equals","parameterTypes":["java.lang.Object"] }, {"name":"hashCode","parameterTypes":[] }, {"name":"toString","parameterTypes":[] }]
},
{
  "name":"java.lang.String",
  "fields":[{"name":"COMPACT_STRINGS"}, {"name":"coder"}, {"name":"value"}],
  "methods":[{"name":"<init>","parameterTypes":["byte[]","byte"] }, {"name":"coder","parameterTypes":[] }, {"name":"isASCII","parameterTypes":["byte[]"] }, {"name":"value","parameterTypes":[] }]
},
{
  "name":"java.lang.StringCoding",
  "methods":[{"name":"hasNegatives","parameterTypes":["byte[]","int","int"] }]
},
{
  "name":"java.lang.invoke.MethodHandles$Lookup",
  "fields":[{"name":"IMPL_LOOKUP"}],
  "methods":[{"name":"<init>","parameterTypes":["java.lang.Class","java.lang.Class","int"] }]
},
{
  "name":"java.lang.management.ManagementFactory",
  "methods":[{"name":"getRuntimeMXBean","parameterTypes":[] }]
},
{
  "name":"java.lang.management.RuntimeMXBean",
  "methods":[{"name":"getInputArguments","parameterTypes":[] }]
},
{
  "name":"java.lang.reflect.Method",
  "methods":[{"name":"isVarArgs","parameterTypes":[] }]
},
{
  "name":"java.math.BigDecimal",
  "fields":[{"name":"intCompact"}]
},
{
  "name":"java.math.BigInteger",
  "fields":[{"name":"mag"}]
},
{
  "name":"java.nio.Buffer"
},
{
  "name":"java.security.SecureRandomParameters"
},
{
  "name":"java.sql.Date"
},
{
  "name":"java.sql.Timestamp"
},
{
  "name":"java.util.Collections$UnmodifiableCollection"
},
{
  "name":"java.util.Collections$UnmodifiableMap"
},
{
  "name":"java.util.concurrent.atomic.AtomicBoolean",
  "fields":[{"name":"value"}]
},
{
  "name":"java.util.concurrent.atomic.AtomicReference",
  "fields":[{"name":"value"}]
},
{
  "name":"javax.sql.DataSource"
},
{
  "name":"javax.sql.RowSet"
},
{
  "name":"org.aohe.core.twain.TwainWndProc",
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"org.aohe.libs.Win32Twain$TW_CAPABILITY",
  "allDeclaredFields":true
},
{
  "name":"org.aohe.libs.Win32Twain$TW_IDENTITY",
  "allDeclaredFields":true
},
{
  "name":"org.aohe.libs.Win32Twain$TW_VERSION",
  "allDeclaredFields":true,
  "methods":[{"name":"<init>","parameterTypes":[] }, {"name":"<init>","parameterTypes":["com.sun.jna.Pointer"] }]
},
{
  "name":"org.aohe.result.R",
  "allDeclaredFields":true,
  "queryAllDeclaredMethods":true,
  "queryAllPublicMethods":true,
  "methods":[{"name":"getCode","parameterTypes":[] }, {"name":"getData","parameterTypes":[] }, {"name":"getMsg","parameterTypes":[] }, {"name":"isSuccess","parameterTypes":[] }]
},
{
  "name":"short",
  "fields":[{"name":"OPTIONS"}, {"name":"STRING_ENCODING"}, {"name":"STRUCTURE_ALIGNMENT"}, {"name":"TYPE_MAPPER"}]
},
{
  "name":"sun.misc.Unsafe",
  "fields":[{"name":"theUnsafe"}]
},
{
  "name":"sun.security.provider.DRBG",
  "methods":[{"name":"<init>","parameterTypes":["java.security.SecureRandomParameters"] }]
},
{
  "name":"sun.security.provider.SHA",
  "methods":[{"name":"<init>","parameterTypes":[] }]
},
{
  "name":"sun.security.provider.SHA2$SHA256",
  "methods":[{"name":"<init>","parameterTypes":[] }]
}
]
